package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Communal;
import com.lightinit.hsdatashow.entity.CommunalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CommunalMapper {
    long countByExample(CommunalExample example);

    int deleteByExample(CommunalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Communal record);

    int insertSelective(Communal record);

    List<Communal> selectByExample(CommunalExample example);

    Communal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Communal record, @Param("example") CommunalExample example);

    int updateByExample(@Param("record") Communal record, @Param("example") CommunalExample example);

    int updateByPrimaryKeySelective(Communal record);

    int updateByPrimaryKey(Communal record);
}